SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000215SiT!i18npublic2008-11-11 09:272009-02-27 16:28
ReporterTomse 
Assigned Toivan 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.36 
Target Version3.45Fixed in Version3.45 
Summary0000215: Language hardcoded - Dashboard -> Statistics of the day
Description3.4 beta 1
weekday names are hardcoded

also
past x days
previous x days

both are shown as 7 days, but the last one should be 13 days
and the first one should be 6 days
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000171)
Tomse (developer)
2008-11-11 09:31

also found, clicking on one of the weekedays..

the last entry title "Higher Priority" is also hardcoded, the previous menu is as it should with the right language
User avatar (0000178)
ivan (administrator)
2008-11-12 08:05

I've fixed these strings in r4175 - r4177 (trunk) but I'm not sure about the 7 and 13 days bit, the wording is awful, but it's supposed to mean.

"Past 7 days" = "Today and the week just past."
"Previous 7 days" "The week before the one we just had"

I've not changed that, I'd like to know what others think it should be first.
User avatar (0000186)
Tomse (developer)
2008-11-12 09:48

like that... then it is as should, but agree the wording is quite confusing
and that translation is not easily done without using a longer sentence..
User avatar (0000308)
ivan (administrator)
2008-12-08 21:49

Fixed in trunk svn r4415. Used "this week" and "last week" I really don't know how those words didn't occur to me before. thanks kieran.

- Issue History
Date Modified Username Field Change
2008-11-11 09:27 Tomse New Issue
2008-11-11 09:31 Tomse Note Added: 0000171
2008-11-12 07:55 ivan Assigned To => ivan
2008-11-12 07:55 ivan Status new => assigned
2008-11-12 07:55 ivan Projection none => tweak
2008-11-12 07:55 ivan ETA none => < 1 day
2008-11-12 08:05 ivan Note Added: 0000178
2008-11-12 08:06 ivan Status assigned => feedback
2008-11-12 09:48 Tomse Note Added: 0000186
2008-11-13 08:29 ivan Target Version => 3.41
2008-11-29 23:32 kieran Target Version 3.41 => 3.45
2008-12-08 21:49 ivan Note Added: 0000308
2008-12-08 21:49 ivan Status feedback => resolved
2008-12-08 21:49 ivan Resolution open => fixed
2008-12-08 21:49 ivan Fixed in Version => 3.45
2009-02-27 16:28 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker